QGIS server ignores custom rendering order when loading parent group
2019-04-24 11:48 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 29732
Description

When a project has custom layer rendering order (checkbox "control rendering order" enabled in the "layer order" panel), and the user
loads the root layer as a single WMS layer in a WMS client (e.g. QGIS), the custom layer rendering order is not correctly taken into
account.

Here is an example service, served with QGIS server 3.6.x (recent build) and attached are three screenshots: one with the connection
parameters, the other two with the rendering as it should appear (original project files) and the other with the invalid rendering order when
loading the service with the root layer. Note in the screenshot that point symbols (circles) should always be rendered on top, and also
other layers are mixed up.

https://services.geo.zg.ch/ows/rp

The data source is Postgis. A Postgis dump-file and the project file will be provided to the person working on fixing the issue.

Associated revisions

Revision 956ed06f - 2019-04-26 12:04 PM - Alessandro Pasotti

[server] Respect custom layer order for groups in GetMap

Fixes #21917

Revision 9ddbae6c - 2019-04-27 06:13 PM - Alessandro Pasotti

Respect custom layer order for groups in GetMap

Backport of bugfix from master PR 9878

Fixes #21917

Revision aa714d3d - 2019-04-27 06:29 PM - Alessandro Pasotti

Respect custom layer order for groups in GetMap

Backport of bugfix from master PR 9878

Fixes #21917
https://services.geo.zg.ch/ows/rp

(cherry-picking commit 9ddbae6c68 from 3.6)

History

#1 - 2019-04-24 12:06 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2019-04-26 12:07 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes
- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/9878

#3 - 2019-04-27 05:36 PM - Alessandro Pasotti
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|956ed06f5222df208d1d37092916¢9014c5¢cb419.
